Summary: A converter tool to transform SFF files to other formats.
Name: sfftobmp
Version: 3.0
%define pkgversion 3_0
Release: 4%{?dist}
License: BSD-style without advertising clause
Group: Applications/Communications
URL: http://sfftools.sourceforge.net/sfftobmp.html
Source0: http://prdownloads.sourceforge.net/sfftools/%{name}_%{pkgversion}_src.zip
Patch0: sfftobmp-3.0-errno.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++
BuildRequires: libtiff-devel, libjpeg-devel, boost-devel

%description
SffToBmp is a converter tool, written in C++, to transform SFF files
to BMP, JPEG or multipage TIFF format. In addition generation of PBM
files (Portable Bitmap) is also possible which can be transformed into
nearby any other graphics format using the PBMPLUS tools that are
included in almost every Linux distribution nowadays.

%prep
%setup -q -n %{name}_%{pkgversion}
%patch0 -p1

%build
%configure
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/sfftobmp

%changelog
* Mon Apr 26 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.


